"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ = _interopRequireWildcard(require("lodash"));

var _devices = _interopRequireDefault(require("../devices"));

var _validators = require("./validators");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const viewportStringPattern = /^(\d{1,4})(?:x)?(\d{1,4})?$/;

const getViewportObject = function (input) {
  let viewport = null;

  if (_.isString(input)) {
    // Test if the string match "0000x0000" or "0000" and construct
    // the viewport object using the result of the match
    if (viewportStringPattern.test(input)) {
      const [, width, height] = viewportStringPattern.exec(input);
      viewport = {
        viewport: {
          width: parseInt(width, 10),
          height: parseInt(height || width, 10),
          deviceScaleFactor: 1
        }
      };
    } else {
      input = input.replace(/\s+/g, '-').toLowerCase();
      viewport = _.find(_devices.default, {
        name: input
      });
    }
  } else if (_.isArray(input)) {
    viewport = input.map(v => getViewportObject(v));
  } else if (_.isObject(input)) {
    if ((0, _validators.isValidViewportObject)(input)) {
      viewport = {
        viewport: input
      };
    } else {
      viewport = input;
    }
  } else if (_.isNumber(input)) {
    viewport = {
      viewport: {
        width: input,
        height: input,
        deviceScaleFactor: 1
      }
    };
  }

  return viewport;
};

var _default = getViewportObject;
exports.default = _default;