"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _ = _interopRequireWildcard(require("lodash"));

var fs = _interopRequireWildcard(require("fs"));

var path = _interopRequireWildcard(require("path"));

var _fileUrl = _interopRequireDefault(require("file-url"));

var _validators = require("./validators");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _default(arr) {
  return _.chain(arr).map(i => {
    if ((0, _validators.isValidURL)(i)) {
      return i;
    }

    if ((0, _validators.isValidHTML)(i)) {
      return i;
    }

    if ((0, _validators.isValidPath)(i)) {
      if (i.endsWith('.html')) {
        return (0, _fileUrl.default)(i);
      }

      if (i.endsWith('.txt')) {
        const filePath = path.resolve(process.cwd(), i);
        return fs.readFileSync(filePath, 'utf-8').trim().split(/\r?\n/);
      }
    }

    return i;
  }).flatten().value();
}