"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _ = _interopRequireWildcard(require("lodash"));

var _devices = _interopRequireDefault(require("../devices"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _default(input) {
  let arr = [];

  switch (input) {
    case 'desktop':
      arr = _.filter(_devices.default, ['viewport.isMobile', false]);
      break;

    case 'touch':
      arr = _.filter(_devices.default, ['viewport.hasTouch', true]);
      break;

    case 'mobile':
      arr = _.filter(_devices.default, ['viewport.isMobile', true]);
      break;

    case 'landscape':
      arr = _.filter(_devices.default, ['viewport.isLandscape', true]);
      break;

    default:
      {
        const reg = new RegExp(input, 'gi');
        arr = _.filter(_devices.default, d => d.name.match(reg));
        break;
      }
  }

  return arr;
}